package com.yijia.station.domain;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * 班结汇总对象 station_classes_summary
 *
 * @author yijia
 * @date 2021-01-27
 */
public class StationClassesSummary extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 班结主键id */
    private Long id;

    /** 班次号 */
    @Excel(name = "班次号")
    private String classesNo;

    /** 班次开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "班次开始时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date startDate;

    /** 班次结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "班次结束时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date endDate;

    /** 油站id */
    @Excel(name = "油站id")
    private Long stationId;

    /** 油站名称 */
    @Excel(name = "油站名称")
    private String stationName;

    /** 订单数 */
    @Excel(name = "订单数")
    private Long orderNum;

    /** 小票数量 */
    @Excel(name = "小票数量")
    private Long printNum;

    /** 销量L */
    @Excel(name = "销量L")
    private BigDecimal saleLiters;

    /** 应收金额 */
    @Excel(name = "应收金额")
    private BigDecimal saleAmt;

    /** 实际支付金额 */
    @Excel(name = "实际支付金额")
    private BigDecimal amt;

    /** 优惠金额 */
    @Excel(name = "优惠金额")
    private BigDecimal discountAmt;

    /** 微信实际支付金额 */
    @Excel(name = "微信实际支付金额")
    private BigDecimal wxAmt;

    /** 支付宝实际支付金额 */
    @Excel(name = "支付宝实际支付金额")
    private BigDecimal zfbAmt;

    /** 电子卡实际支付金额 */
    @Excel(name = "电子卡实际支付金额")
    private BigDecimal dzkAmt;

    /** 班结人 */
    @Excel(name = "班结人")
    private String classesMan;

    /**
     * 查询班次号，查询班结名称
     */
    private String likeClassesNo;
    private String likeClassesMan;

    public String getLikeClassesNo() {
        return likeClassesNo;
    }

    public void setLikeClassesNo(String likeClassesNo) {
        this.likeClassesNo = likeClassesNo;
    }

    public String getLikeClassesMan() {
        return likeClassesMan;
    }

    public void setLikeClassesMan(String likeClassesMan) {
        this.likeClassesMan = likeClassesMan;
    }

    private List<String> stationIdList;

    public List<String> getStationIdList() {
        return stationIdList;
    }

    public void setStationIdList(List<String> stationIdList) {
        this.stationIdList = stationIdList;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setClassesNo(String classesNo)
    {
        this.classesNo = classesNo;
    }

    public String getClassesNo()
    {
        return classesNo;
    }
    public void setStartDate(Date startDate)
    {
        this.startDate = startDate;
    }

    public Date getStartDate()
    {
        return startDate;
    }
    public void setEndDate(Date endDate)
    {
        this.endDate = endDate;
    }

    public Date getEndDate()
    {
        return endDate;
    }
    public void setStationId(Long stationId)
    {
        this.stationId = stationId;
    }

    public Long getStationId()
    {
        return stationId;
    }
    public void setStationName(String stationName)
    {
        this.stationName = stationName;
    }

    public String getStationName()
    {
        return stationName;
    }
    public void setOrderNum(Long orderNum)
    {
        this.orderNum = orderNum;
    }

    public Long getOrderNum()
    {
        return orderNum;
    }
    public void setPrintNum(Long printNum)
    {
        this.printNum = printNum;
    }

    public Long getPrintNum()
    {
        return printNum;
    }
    public void setSaleLiters(BigDecimal saleLiters)
    {
        this.saleLiters = saleLiters;
    }

    public BigDecimal getSaleLiters()
    {
        return saleLiters;
    }
    public void setSaleAmt(BigDecimal saleAmt)
    {
        this.saleAmt = saleAmt;
    }

    public BigDecimal getSaleAmt()
    {
        return saleAmt;
    }
    public void setAmt(BigDecimal amt)
    {
        this.amt = amt;
    }

    public BigDecimal getAmt()
    {
        return amt;
    }
    public void setDiscountAmt(BigDecimal discountAmt)
    {
        this.discountAmt = discountAmt;
    }

    public BigDecimal getDiscountAmt()
    {
        return discountAmt;
    }
    public void setWxAmt(BigDecimal wxAmt)
    {
        this.wxAmt = wxAmt;
    }

    public BigDecimal getWxAmt()
    {
        return wxAmt;
    }
    public void setZfbAmt(BigDecimal zfbAmt)
    {
        this.zfbAmt = zfbAmt;
    }

    public BigDecimal getZfbAmt()
    {
        return zfbAmt;
    }
    public void setDzkAmt(BigDecimal dzkAmt)
    {
        this.dzkAmt = dzkAmt;
    }

    public BigDecimal getDzkAmt()
    {
        return dzkAmt;
    }
    public void setClassesMan(String classesMan)
    {
        this.classesMan = classesMan;
    }

    public String getClassesMan()
    {
        return classesMan;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("classesNo", getClassesNo())
                .append("startDate", getStartDate())
                .append("endDate", getEndDate())
                .append("stationId", getStationId())
                .append("stationName", getStationName())
                .append("orderNum", getOrderNum())
                .append("printNum", getPrintNum())
                .append("saleLiters", getSaleLiters())
                .append("saleAmt", getSaleAmt())
                .append("amt", getAmt())
                .append("discountAmt", getDiscountAmt())
                .append("wxAmt", getWxAmt())
                .append("zfbAmt", getZfbAmt())
                .append("dzkAmt", getDzkAmt())
                .append("classesMan", getClassesMan())
                .toString();
    }
}
